Subject: Re: [bug#42738] [Work in progress] gnu: emacs: update to 27.1

From: Jack Hill <[email-masked]>
Date: Wed, 19 Aug 2020 00:08:56 -0400 (EDT)

Thank you all for these improvements.

On Tue, 18 Aug 2020, Alexey Abramov wrote:

> I just checked, and seems like harfbuzz switch is not required. News 
> file also says that it is on by default.

Great. This was copied bliendly from the emacs-next package. I've removed 
it.

On Tue, 18 Aug 2020, Michael Rohleder wrote:
>Jack Hill <[email-masked]> writes:
>> Now that Emacs 27.1 has been released, I've updated the patch for
>> released version. Per Michael Rohleder's (mroh) suggestion on IRC, I
>> have added gmp as an input.
>
> emacs (26 and 27) configure and compiles with gmp anyway. I couldn't 
> find out where it's (implicit) coming from. I still like the input to 
> make it explicit, though.

Interesting, I didn't catch this. I like explicit better as well.

>> Is the emacs-wide-int variant needed with the new multiprecision
>> functionality?
>
> I don't think so.

Ok, I've deprecated that package.

On Tue, 18 Aug 2020, Zhu Zihao wrote:

> Can you add configuration options "--with-cairo"(Also add cairo as 
> input) the main advantage of cairo build is the power to display color 
> emoji in Emacs.

Sounds good to me. I've enabled cairo, and per [1] removed libxft from the 
inputs.

[1] https://git.savannah.gnu.org/cgit/emacs.git/tree/etc/NEWS?h=emacs-27.1#n53

Best,
Jack